POST
/pfs/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pfs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "tir-pfs-260206142723", "disk_size": 1000}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/pfs/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "tir-pfs-260206142723", "disk_size": 1000, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/pfs/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "tir-pfs-260206142723", "disk_size": 1000 }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
Example
tir-pfs-260206142723disk_size
required
integer
Example
1000Responses
Section titled “Responses”PFS created successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
disk_size
integer
created_by
integer
updated_at
string format: date-time
created_at
string format: date-time
status
string
disk_size_in_gb
string
disk_size_in_tb
string
set_up_progress
integer
location
string
errors
object
message
string
Example
{ "code": 201, "data": { "id": 504, "name": "tir-pfs-260206142723", "disk_size": 1000, "created_by": 1234, "updated_at": "2026-02-06T08:57:33.447326Z", "created_at": "2026-02-06T08:57:33.388926Z", "status": "Pending", "disk_size_in_gb": "1000 GB", "disk_size_in_tb": "1.0TB", "set_up_progress": 25, "location": "Delhi" }, "errors": {}, "message": "Created Successfully"}